Subject: bug#6922: 23.1; Setting read-only property in an overlay has no effect

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Feb 2016 18:52:43 +0200

> From: Marcin Borkowski <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Richard Stallman <[email-masked]>,
>  [email-masked], [email-masked],
>  Org-Mode mailing list <[email-masked]>, emacs-devel <[email-masked]>
> Date: Thu, 18 Feb 2016 06:12:42 +0100
> 
> I just realized that this idea could be /extremely/ useful.  Here's the
> case: I start a clock in Org-mode (C-c C-x C-i), and an entry with the
> starting time is added in the :LOGBOOK: drawer (and btw, it is
> invisible).  While working on the file, I hit C-/ (undo) once too many,
> and the entry disappears (and this fact is still invisible to me!).
> Then, after some more work, I stop the clock only to see "org-clock-out:
> Clock start time is gone", and my clock is still going on (!).
> 
> While the last thing (about the clock still going on) is probably an
> Org-mode bug (I'll propbably report it later "officially", I'm now
> Cc-ing this message to the Org-mode ML), the whole experience (and yes,
> it happened to me) is /very/ confusing.
> 
> When read-only properties and masking are here, Org could just mark the
> half-done entry as read-only.  I suspect that trying to undo it would
> perhaps trigger some error, which could be confusing, but it would be
> still better than silently removing a vital information.

If you are arguing for having a feature that marks some portion of
buffer text read-only, then we already have that: the 'read-only' text
property.  The issue in this discussion is whether we should _also_
have a similar overlay property.

(Please don't cross-post to the bug tracker and to emacs-devel.)